import request from '@/libs/request';

/**
 * @description 奖池类型 --- 获取所有奖池
 */
export function award_lake() {
	return request({
		url: `/user/award_lake`,
		method: 'get'
	});
}
/**
 * @description 奖池记录--- 获取所有奖池
 */
export function award_lake_log(data) {
	return request({
		url: `/user/award_lake/log`,
		method: 'get',
		params: data
	});
}
/**
 * @description 发放奖励
 */
export function award_lake_post(data) {
	return request({
		url: `/user/award_lake/${data.type}`,
		method: 'post',
		data
	});
}

/**
 * @description 发放奖励
 */
export function award_set(data) {
	return request({
		url: `/user/award_set`,
		method: 'get',
		params: data
	});
}
/**
 * @description 审核列表
 */
export function usercheck(data) {
	return request({
		url: `/user/check`,
		method: 'get',
		params: data
	});
}
/**
 * @description 审核通过
 */
export function userCheckAdopt(id) {
	return request({
		url: `/user/check/adopt/${id}`,
		method: 'put',
	});
}
/**
 * @description 审核拒绝
 */
export function userCheckRefuse(data,id) {
	return request({
		url: `/user/check/refuse/${id}`,
		method: 'put',
		data
	});
}
/**
 * @description 获取填写数据
 */
export function getUserCheckRefuse(data) {
	return request({
		url: `/user/check/refuse/${data.id}`,
		method: 'get'
	});
}